Skip to content

TikTok Shop Products List

Introduction

Retrieve the product list data of the specified TikTok shop, supporting the following functions:

  • Supports filtering by shop name
  • Supports filtering by shop ID
  • Supports filtering by region
  • Returns detailed product information, including sales volume, rating, number of related videos, etc.

Endpoint

bash
    POST /shop/v1/productList

filter optional values

FieldTypeRequiredDescription
seller_namestringNoShop name
seller_idstringNoShop ID
regionstringNoCountry/Region, e.g., US

seller_name and seller_id must be provided at least one.

When seller_name is provided, region is required.

request example

bash
curl 'https://openapi.fastmoss.com/shop/v1/productList?client_id=XXX&timestamp=XXX&access_token=XXX&sign=XXX' \
--header 'Content-Type: application/json' \
{
    "filter": {
        "seller_name": "xxxx",
        "region": "US",
        # "seller_id": "xxxx"
    },
    "page": 1,
    "pagesize": 10
}

response body

data.total

  • Type: integer
  • Description: Total number of results

data.list

FieldTypeDescription
product_idstringProduct ID
titlestringProduct title
regionstringCountry/Region
sold_countintegerTotal sales volume
relate_creator_countintegerNumber of related creators
relate_video_countintegerNumber of related videos
categoryobjectProduct category
sku_countintegerSKU count
yday_sold_countintegerYesterday's sales volume
day7_sold_countinteger7 days sales volume
day28_sold_countinteger28 days sales volume
day90_sold_countinteger90 days sales volume
product_ratingfloatProduct rating
sourcestringProduct source
tiktok_urlstringTikTok product URL
fastmoss_urlstringFastmoss product URL
shop_infoobjectShop information

data.list.category

FieldTypeDescription
l1objectLevel 1 category
l2objectLevel 2 category
l3objectLevel 3 category

data.list.category.l1/l2/l3

FieldTypeDescription
idintegerCategory ID
namestringCategory name

data.list.shop_info

FieldTypeDescription
seller_idstringSeller ID
namestringSeller name

response example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product_id": "1729415053505106876",
        "title": "tarte best-sellers trending trio - lip plump gloss, mascara & eye pencil set",
        "region": "US",
        "sold_count": 305746,
        "relate_creator_count": 11521,
        "relate_video_count": 8371,
        "category": {
          "l1": {
            "id": 14,
            "name": "Beauty & Personal Care"
          },
          "l2": {
            "id": 848648,
            "name": "Makeup"
          },
          "l3": {
            "id": 601529,
            "name": "Makeup Sets"
          }
        },
        "yday_sold_count": 7,
        "day7_sold_count": 102,
        "day28_sold_count": 419,
        "day90_sold_count": 1636,
        "product_rating": 4.7,
        "tiktok_url": "https://shop.tiktok.com/view/product/1729415053505106876?region=US&local=en",
        "sku_count": 6
      }
    ],
    "total": 17
  },
  "message": "",
  "timestamp": 1743577374,
  "request_id": "6d4024ec-bed1-3701-7999-94e88a762d10"
}